
@echo off
cd /d %~dp0

setlocal enabledelayedexpansion 

for /f "tokens=*" %%i in ( 'dir /b /a:d^|findstr /i DCH' ) do set senary_driver_name=%%i
for /f "tokens=*" %%i in ( 'dir /b /a:d^|findstr /i MSFT' ) do set uwp_driver_name=%%i

call !senary_driver_name!\Install.bat

cd /d %~dp0
call !uwp_driver_name!\InstallUWP.bat
cd /d %~dp0
timeout 120

echo Done
echo ===============================

